Subject: Re:linux-next: build warning after merge of the drm-misc tree

From: "Andy Yan" <[email-masked]>
Date: Wed, 16 Jul 2025 21:00:19 +0800 (CST)

Hi all,

At 2025-07-16 18:31:15, "Stephen Rothwell" <[email-masked]> wrote:
>Hi all,
>
>After merging the drm-misc tree, today's linux-next build (htmldocs)
>produced this warning:
>
>drivers/gpu/drm/drm_bridge.c:1242: warning: Function parameter or struct member 'connector' not described in 'drm_bridge_detect'
>
>Introduced by commit
>
>  5d156a9c3d5e ("drm/bridge: Pass down connector to drm bridge detect hook")

Once again, I apologize. I have sent a patch[0]  which I hope will fix this issue.
When I ran "make htmldocs" locally, I didn't see this warning. I'm not sure if it's because my method was incorrect.

[0]https://lore.kernel.org/dri-devel/[email-masked]/T/#u

>-- 
>Cheers,
>Stephen Rothwell